import type {Collection} from "pinia-orm";
import EducationTiming from "~/models/Education/EducationTiming";
import BaseRepository from "~/stores/repositories/BaseRepository";

class EducationTimingsRepository extends BaseRepository {
    use = EducationTiming

    /**
     * On récupère les EducationTimings via le store
     */
    public getEducationTimings(): Collection<EducationTiming> {
        return this.getQuery()
            .get() as Collection<EducationTiming>
    }

}

export default EducationTimingsRepository
